FF 3.5 compatibility Rated 4 out of 5 stars

Great addon. Waiting for the 3.5 update!

This review is for a previous version of the add-on (1.52).